# class Net::HTTPUnavailableForLegalReasons

Response class for `Unavailable For Legal Reasons` responses (status code 451).

A server operator has received a legal demand to deny access to a resource or to a set of resources that includes the requested resource.

This class also includes (indirectly) module `Net::HTTPHeader`, which gives access to its methods for getting headers.

References:

- Mozilla.

- RFC 7725.

- Wikipedia.

### Constants

HAS_BODY